"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var ProbabilityTable = (function () {
    function ProbabilityTable() {
    }
    ProbabilityTable.prototype.average = function () {
        return this._store.reduce(function (prev, curr, index, array) {
            return prev + (curr / array.length);
        }, 0);
    };
    ProbabilityTable.prototype.wgtAverage = function () {
        return this._store.reduce(function (curr, prev, index, array) {
            var logFunc = function (i) { return (0.5 * (1 + ProbabilityTable.tanh(i / 2))); };
            return;
        }, 0);
    };
    ProbabilityTable.prototype.sum = function () {
        return this._store.reduce(function (prev, curr) {
            return prev + curr;
        }, 0);
    };
    ProbabilityTable.prototype.multiply = function () {
        return this._store.reduce(function (prev, curr) {
            return prev * curr;
        }, 1);
    };
    ProbabilityTable.tanh = function (i) {
        var a = Math.exp(+i), b = Math.exp(-i);
        return a == Infinity ? 1 : b == Infinity ? -1 : (a - b) / (a + b);
    };
    return ProbabilityTable;
}());
exports.ProbabilityTable = ProbabilityTable;
//# sourceMappingURL=ProbabilityTable.js.map